import { r as registerInstance, h, H as Host } from './core-34fac203.js';

const TimePickerToggle = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return (h(Host, { slot: "end" }, h("anj-button", { context: "free", "aria-label": "Toggle Time Picker" }, h("svg", { slot: "icon-only", xmlns: "http://www.w3.org/2000/svg", width: "24", height: "24", viewBox: "0 0 24 24" }, h("path", { "fill-opacity": ".9", d: "M11.99 2C6.47 2 2 6.48 2 12s4.47 10 9.99 10C17.52 22 22 17.52 22 12S17.52 2 11.99 2zM12 20c-4.42 0-8-3.58-8-8s3.58-8 8-8 8 3.58 8 8-3.58 8-8 8zM12.5 7H11v6l5.25 3.15.75-1.23-4.5-2.67z" })))));
    }
};

export { TimePickerToggle as anj_time_picker_toggle };
